<template lang="pug">
svg.b-countdown(viewBox="0 0 512 512" xmlns="http://www.w3.org/2000/svg")
  title Expiry: {{ tooltip }}
  circle(ref='circle' r=128 cx=256 cy=256 stroke-width="256" fill="none"
    stroke-dasharray="804" stroke-dashoffset="0"
    :stroke="color" transform="rotate(-90 256 256)")
</template>

<script>

export { default } from "./BaseExpiryIcon.vue.js";

</script>
<style>
svg.b-countdown {
  filter: drop-shadow( 3px 3px 2px rgba(0, 0, 0, .3));
  width: 1em;
  height: 1em;
}
</style>
